Package be.fgov.ehealth.hubservices.core.v1

# Class PutTherapeuticLinkRequest

java.lang.Object
be.fgov.ehealth.hubservices.core.v1.PutTherapeuticLinkRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:35+02:00", comments="JAXB RI v4.0.5") public class PutTherapeuticLinkRequest extends Object implements Serializable

Java class for PutTherapeuticLinkRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PutTherapeuticLinkRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v1}RequestType"/>
             <element name="therapeuticlink" type="{http://www.ehealth.fgov.be/hubservices/core/v1}TherapeuticLinkType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PutTherapeuticLinkRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestType`
  `getRequest()`
  Gets the value of the request property.
  `TherapeuticLinkType`
  `getTherapeuticlink()`
  Gets the value of the therapeuticlink property.
  `void`
  `setRequest(RequestType value)`
  Sets the value of the request property.
  `void`
  `setTherapeuticlink(TherapeuticLinkType value)`
  Sets the value of the therapeuticlink property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PutTherapeuticLinkRequest

    public PutTherapeuticLinkRequest()

- ## Method Details

  - ### getRequest

    public RequestType getRequest()
    Gets the value of the request property.
    Returns:
      possible object is `RequestType`

  - ### setRequest

    public void setRequest(RequestType value)
    Sets the value of the request property.
    Parameters:
      `value` - allowed object is `RequestType`

  - ### getTherapeuticlink

    public TherapeuticLinkType getTherapeuticlink()
    Gets the value of the therapeuticlink property.
    Returns:
      possible object is `TherapeuticLinkType`

  - ### setTherapeuticlink

    public void setTherapeuticlink(TherapeuticLinkType value)
    Sets the value of the therapeuticlink property.
    Parameters:
      `value` - allowed object is `TherapeuticLinkType`